Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core
Class XStreamProblemIO

    java.lang.Object
      org.drools.planner.benchmark.core.XStreamProblemIO

All Implemented Interfaces:
  ProblemIO

    public class XStreamProblemIO

extends Object
implements ProblemIO

Constructor Summary
`XStreamProblemIO()`
`XStreamProblemIO(Class... xstreamAnnotatedClasses)`

Method Summary
`String` | `getFileExtension()` The file extension does not include the dot that separates it from the base name.
`Solution` | `read(File inputSolutionFile)`
`void` | `write(Solution solution, File outputSolutionFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamProblemIO

    public XStreamProblemIO()

### XStreamProblemIO

    public XStreamProblemIO(Class... xstreamAnnotatedClasses)

Method Detail

### getFileExtension

    public String getFileExtension()

  Description copied from interface: `ProblemIO`
  The file extension does not include the dot that separates it from the base name.

  Specified by:
    `getFileExtension` in interface `ProblemIO`
  Returns:
    never null, for example "xml"

### read

    public Solution read(File inputSolutionFile)

  Specified by:
    `read` in interface `ProblemIO`
  Parameters:
    `inputSolutionFile` - never null
  Returns:
    never null

### write

    public void write(Solution solution,
                      File outputSolutionFile)

  Specified by:
    `write` in interface `ProblemIO`
  Parameters:
    `solution` - never null
    `outputSolutionFile` - never null, parent directory already exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.